.\" $XConsortium: xload.man,v 1.29 94/04/17 20:43:44 matt Exp $
.\"
.\" $XFree86: xc/programs/xload/xload.man,v 1.3 2001/01/27 18:21:17 dawes Exp $
.\"
.\" $Id: xmemload.man,v 1.2 2003/10/20 05:49:18 elca Exp $
.TH XCPULOAD 1 __xorgversion__
.SH NAME
xmemload \- CPU clock speed displayer for X
.SH SYNOPSIS
.ta 6n
\fBxmemload\fP	[-\fItoolkitoption\fP ...] [-scale \fIinteger\fP] [-update \fIseconds\fP] [-hl \fIcolor\fP] [-highlight \fIcolor\fP] 
.br
	[-jumpscroll \fIpixels\fP] [-labelstr \fIstring\fP] [-[no]label] [-[no]mhz]
.SH DESCRIPTION
The 
.I xmemload 
program displays a periodically updating histogram of the system CPU clock.
.SH OPTIONS
.PP
.I Xmemload
accepts all of the standard X Toolkit command line options (see \fIX(__miscmansuffix__)\fP).
The order of the options in unimportant.  \fIxmemload also accepts the
following additional options:
.PP
.TP 8
.B \-hl \fIcolor\fP or \-highlight \fIcolor\fP
This option specifies the color of the scale lines.  
.TP 8
.B \-jumpscroll \fPnumber of pixels\fP
The number of pixels to shift the graph to the left when the graph
reaches the right edge of the window.  The default value is 1/2 the width
of the current window.  Smooth scrolling can be achieved by setting it to 1.
.TP 8
.B \-labelstr \fIstring\fP
The string to put into the label above the mem speed.
.TP 8
.B \-nolabel
If this command line option is specified then no label will be
displayed above the load graph.
.TP 8
.B \-nograph
If this command line option is specified then no load graph will be
displayed.
.TP 8
.B \-nomhz
If this command line option is specified then no label will be
displayed below the load graph.
.TP 8
.B \-scale \fIinteger\fP
This option specifies the minimum number of tick marks in the histogram,
where one division represents one CPU clock speed point.  If the load goes
above this number, \fIxmemload\fP will create more divisions, but it will never
use fewer than this number.  The default is 1.
.PP
.TP 8
.B \-update \fIseconds\fP
This option specifies the interval in seconds at which \fIxmemload\fP
updates its display.  The minimum amount of time allowed between updates
is 1 second.  The default is 10.
.SH RESOURCES
In addition to the resources available to each of the widgets used by 
\fIxload\fP there is one resource defined by the application itself.
.TP 8
.B showLabel (\fPclass\fB Boolean)
If False then no label will be displayed.
.TP 8
.B showGraph (\fPclass\fB Boolean)
If False then no graph will be displayed.
.TP 8
.B showMHz (\fPclass\fB Boolean)
If False then no label will be displayed.
.SH WIDGETS
In order to specify resources, it is useful to know the hierarchy of
the widgets which compose \fIxmemload\fR.  In the notation below,
indentation indicates hierarchical structure.  The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.ta .5i 1.0i 1.5i 2.0i
XCpuLoad  xmemload
	Paned  paned
		Label  label
		StripChart  load
		Label  mhz
.fi
.sp
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.SH FILES
<XRoot>/lib/X11/app-defaults/XMemLoad - specifies required resources
.SH SEE ALSO
X(__miscmansuffix__), xrdb(1), Athena StripChart Widget.
.SH BUGS
This program requires the ix86 CPU to execute "RDTSC" instruction.
.PP
"RDTSC" instruction is not portable.
.SH COPYRIGHT
H. Yokota and
Copyright \(co X Consortium
.br
See \fIX(__miscmansuffix__)\fP for a full statement of rights and permissions.
.SH AUTHORS
H. Yokota.
.br
Original program (xload) by K. Shane Hartman (MIT-LCS) and Stuart A. Malone (MIT-LCS);
.\" end
